;-------------------------------------------------------------
;+
; NAME:
;       GRIDINIT
; PURPOSE:
;       This routine creates a grid by given parameters
; MAIN PROGRAM:
;       SLAP - program for testing SEISMOLAP 
;       SEISMOLAP was developed by Jochen Zschau,
;       Geoforschungszentrum Potsdam, Germany
; MODIFICATION HISTORY:
;       Matthias Liebetanz, TU-Darmstadt, Germany, 17 Apr, 1998.
;       No warranty that this program is free of error
;-
;-------------------------------------------------------------
PRO GRIDINIT,grid_spacing,z_spacing,grid_border,grid_x,grid_y,grid_z                   
    WIDGET_CONTROL,/HOUR                   
    ;Initialize Grid                   
    grid_x=DINDGEN(ROUND((grid_border(1)-grid_border(0))/grid_spacing+.5)) * grid_spacing + grid_border(0)        
    grid_y=DINDGEN(ROUND((grid_border(3)-grid_border(2))/grid_spacing+.5)) * grid_spacing + grid_border(2)        
    grid_z=DINDGEN(ROUND((grid_border(5)-grid_border(4))/z_spacing+.5) ) * z_spacing + grid_border(4)
 END                   
