;-------------------------------------------------------------     
;+     
; NAME:     
;       MATCHES2D     
; PURPOSE:     
;       Returnes the duplicate elements of two indexvektors     
; CATEGORY:     
;       Misc     
; CALLING SEQUENCE:     
;       index=MATCHES2D(indexone,indextwo,count)     
; INPUTS:     
;       indexone, indextwo: Two vektors of equal or different length, but same type     
; KEYWORD PARAMETERS:     
; OUTPUTS:     
;       count=number of duplicate elements     
; COMMON BLOCKS:     
; NOTES:     
; MODIFICATION HISTORY:     
;       Matthias Liebetanz, 17. Jun, 1997     
;-     
;-------------------------------------------------------------     
FUNCTION MATCHES2D, indexone, indextwo, count     
     
newindex=TEMPORARY([indexone,indextwo])     
newindex=newindex(SORT(newindex))  
newindex(TEMPORARY(UNIQ(newindex)))=-2     
result_indexofindex=WHERE(newindex NE -2,count)     
IF count NE 0 THEN result=TEMPORARY(newindex(result_indexofindex)) ELSE result=-1     
RETURN, TEMPORARY(result)     
     
END     
